/*selector {property:value;}*/
.flexnav {display:flex;}

h1 {
    font-family: Helvetica, Arial, sans-serif;
    background-color: #000000;
    /*trois façons d'indiquer les couleurs*/
    margin: 0px;
    padding: 20px;
    text-align: center;
    color: black;
    text-shadow: -3px -3px 0px white, 3px -3px 0px white, -3px 3px 0px white, 3px 3px 0px white;
    /*  dans l'ordre : 5px (the X-coordinate - horizontal)  2px (the Y-coordinate --vertical)  4px (the blur radius- netteté)  grey (the color of the shadow)*/
}

h2 {
    color: rgb(255, 0, 0);
}

/*mettre en forme la police : on prévoit plusieurs polices + une famille au cas où elle ne soit pas dispo chez le client*/
.serif {
    font-family: "Times New Roman", Times, serif;
}

.sansserif {
    font-family: Helvetica, Arial, sans-serif;
}

.monospace {
    font-family: "Lucida Console", "Courier New", Courier, monospace;
}

.cursive {
    font-family: Florence, "Comic sans MS", cursive;
}

.fantasy {
    font-family: Blippo, fantasy;
}

/*mettre en forme la taille*/
.small {
    font-size: small;
}

.medium {
    font-size: 16px;
}

.large {
    font-size: large;
}

.xlarge {
    font-size: x-large;
}

/*mettre en forme le style*/
.italic {
    font-style: italic;
}

.oblique {
    font-style: oblique;
}

.leger {
    font-weight: 100;
}

.light {
    font-weight: lighter;
}

.normal {
    font-weight: 400;
}

.bold {
    font-weight: bold;
}

.bolder {
    font-weight: 900;
}

/*mettre en forme la casse*/
.scap {
    font-variant: small-caps;
}

.capitalize {
    text-transform: capitalize;
}

.uppercase {
    text-transform: uppercase;
}

.lowercase {
    text-transform: lowercase;
}

/*mettre en forme le soulignage*/
.none {
    text-decoration: none;
}

.inherit {
    text-decoration: inherit;
}

.overline {
    text-decoration: overline;
}

.underline {
    text-decoration: underline;
}

.line-through {
    text-decoration: line-through;
}

.blink {
    text-decoration: blink;
}
/*mettre en forme l'encadrement*/
.bordure {
    border: 1px solid blue;
    /*l'épaisseur de la bordure, son style, sa couleur. */
    padding: 5px 10px 5px 10px;
    /*Pour varier sa distance par rapport au texte. Dans l'ordre top, rigth, bottom, left*/
    margin: 0;
    /*Pour varier la distance par rapport à ce qui l'entoure*/
}

.none {
    border-style: none;
}

.dotted {
    border-style: dotted;
}

.dashed {
    border-style: dashed;
}

.double {
    border-style: double;
}

.groove {
    border-style: groove;
}

.ridge {
    border-style: ridge;
}

.inset {
    border-style: inset;
}

.outset {
    border-style: outset;
}

.hidden {
    border-style: hidden;
}

.table {
    table-layout: auto;
}

/*solution pour que le cadre colle au texte*/
td {
    border: 1px solid green;
    padding: 4px;
}

.cadre {
    border: 1px solid violet;
    /*mieux*/
    padding: 4px;
}

.arron {
    border: 4px solid navy;
    padding: 4px;
    border-radius: 20px 0 0 20px;
}

/*top-left, top-right, bottom-right, bottom-left.*/
.grcadre {
    color: orange;
    width: 400px;
}

.catrans {
    color: rgba(0, 0, 0, 0.35);
    border: 20px solid rgba(0, 0, 0, 0.35);
    -moz-background-clip: padding-box;
    /*pour etre lisible sur différents navigateurs*/
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    width: 200px;
    position: relative;
    top: -122px;
    left: 50px;
    background-color: white;
}

/*mettre en forme l'alignement*/
.gauche {
    text-align: left;
}

.right {
    text-align: right;
}

.center {
    text-align: center;
}

.justify {
    text-align: justify;
}

.baseline {
    vertical-align: baseline;
}

.sub {
    vertical-align: sub;
}

.super {
    vertical-align: super;
}

.pixel {
    vertical-align: -10px;
}

.main {
    height: 100px;
    width: 500px;
    background-color: LightSkyBlue;
    display: inline-table;
}

.paragraph {
    display: table-cell;
    vertical-align: middle;
}

.alignv1 {
    background: #ccc;
    width: 200px;
    height: 200px;
    line-height: 200px;
    /* centrage vertical */
    text-align: center;
    /* centrage horizontal */
}

.alignv2 {
    background: #ccc;
    width: 200px;
    height: 200px;
    line-height: 200px;
    text-align: center;
    /* centrage horizontal */
}

.alignv3 {
    width: 100px;
    /* largeur de la zone de texte */
    padding: 10px;
    /* aération interne de la zone de texte */
    border: 1px solid #fff;
    vertical-align: middle;
    display: inline-block;
    line-height: 1.2;
    /* on rétablit le line-height */
    text-align: left;
    /* ... et l'alignement du texte */
}

.alignv4 {
    background: #ccc;
    width: 200px;
    height: 200px;
    line-height: 200px;
    text-align: center;
    /* centrage horizontal */
}

.alignv5 {
    width: 100px; /* largeur du bloc */
    padding: 5px; /* aération interne du bloc */
    border: 1px solid #fff;
    vertical-align: middle;
    display: inline-block;
    line-height: 1.2; /* on rétablit le line-height */
    text-align: left; /* ... et l'alignement du texte */
}

.alignv6 { 
    background:#ccc;
    width:400px;
    padding:10px; /* espace interne du conteneur */
    text-align:center; }
    
.alignv7 { 
    padding:10px; /* aération interne des blocs */
    margin:0 10px; /* espacement horizontal entre les blocs */
    width:100px;
    border:1px solid #fff;
    display:inline-block;
    vertical-align:middle;
    text-align:left; /* on rétablit l'alignement du texte */ }


/*mettre en forme les espacements*/
.letter {
    letter-spacing: 4px;
}

.neg {
    letter-spacing: -1.25px;
}

.word {
    word-spacing: 30px;
}

.nowrap {
    white-space: nowrap;
}

.pre {
    white-space: pre;
}

.preline {
    white-space: pre-line;
}

.prewrap {
    white-space: pre-wrap;
}

.ligne {
    background-color: silver;
    line-height: 30px;
}

.wrap {
    width: 300px;
    border: 1px solid blue;
    word-wrap: break-word;
}

/*break-word ou normal*/

/*mettre en forme la couleur l'opacité et l'ombrage*/
.purple1 {
    color: purple;
}

.purple2 {
    color: #800080;
}

.purple3 {
    color: rgb(128, 0, 128);
}

.transp {
    color: RGBa(0, 0, 255, 0.5);
}

.opacity {
    color: blue;
    opacity: 0.5;
}

.shadow {
    text-shadow: 5px 2px 0px violet;
    /*  dans l'ordre : 5px (the X-coordinate - horizontal)  2px (the Y-coordinate --vertical)  4px (the blur radius- netteté)  grey (the color of the shadow)*/
    font-size: 30px;
}

/* juste pour mieux voir l'effet*/

.visible {
    visibility: hidden;
    display: none;
}

/*les fonds*/
.fond {
    background-color: olive;
}

.degrad {
    background: -webkit-linear-gradient(left, yellow, orange, red, maroon);
    background: -o-linear-gradient(right, yellow, orange, red, maroon);
    background: -moz-linear-gradient(right, yellow, orange, red, maroon);
    background: linear-gradient(to right, yellow, orange, red, maroon);
}

/*linear-gradient doit être décliné pour chaque navigateur, en terminant par la version non préfixée. ATTENTION la terminologie change à chaque fois pour aboutir au meme resultat. Par défaut, le dégradé s'applique du haut vers le bas.*/

.degradiag {
    background: -webkit-linear-gradient(top left, rgba(255, 0, 0, 1), rgba(255, 0, 0, 0.1));
    background: -o-linear-gradient(bottom right, rgba(255, 0, 0, 1), rgba(255, 0, 0, 0.1));
    background: -moz-linear-gradient(bottom right, rgba(255, 0, 0, 1), rgba(255, 0, 0, 0.1));
    background: linear-gradient(to bottom right, rgba(255, 0, 0, 1), rgba(255, 0, 0, 0.1));
}

/*la direction peut être exprimée en degrés : par défaut : "180deg"= de haut en bas; 90deg = de gauche à droite. Les valeurs négatives sont admises.*/

.photo {
    width: 350px;
    height: 288px;
    background-image: url("Images/Klee.jpg");
    background-size: cover;
}

.ltrans {
    font-family: Helvetica, Arial, sans-serif;
    font-size: 30px;
    text-align: center;
    color: rgba(0, 0, 0, 0.1);
}

/*le cascading*/
.ex {
    color: white;
    background: #424242;
    font-family: "Lucida Console", "Courier New", Courier, monospace;
}

/*les pseudo-class*/
#parent1 {
    border: 1px dashed;
    padding: 5px;
}

#parent1:hover {
    color: green;
}

#parent1 p:last-child {
    color: orange;
}

#parent1 p:nth-child(odd) {
    font-style: italic;
}

/*even veut dire "pair", mais il y a un bug, probablement du à la liste en 4ème position (ça casse le rythme ?)*/

/*Les pseudo-elements*/
#parent2 {
    border: 1px dashed;
    padding: 5px;
}

#parent2::first-letter {
    color: olive;
    font-size: 30px;
}

#parent2 li::first-line {
    color: orange;
}

#parent2 p::-moz-selection {
    background-color: pink;
}

#parent2 p::selection {
    background-color: pink;
}

#parent2::after {
    content: "c'est tout ce que j'ai à dire sur les pseudo-éléments";
}


/*HTML*/
.black {
    color: black;
}